# vim: set ft=spec: -*- rpm-spec -*-
# $Id: amazon-queen-floppy,v 1.1 2004/03/27 16:51:06 raorn Exp $

%define gamedir queen-floppy

Name: amazon-queen-floppy
Version: M.10
Release: alt1

Summary: Flight of the Amazon Queen.
License: Distributable freeware
Group: Games/Adventure
Url: http://www.scummvm.org/

BuildArch: noarch

Requires: scummvm >= 0.6.0
Conflicts: amazon-queen-cd

Source: FOTAQ_Floppy.zip

BuildRequires: unzip

%description
Flight of the Amazon Queen is a 2D point-and-click adventure game set in the 
1940s, originally published for DOS and the Amiga. 

You assume the role of Joe King, a pilot for hire who is given the job of flying
Faye Russell (a famous movie star) into the Amazon jungle for a photo shoot. Of
course, things never go according to plans. After an unfortunate turn of events
they find themselves stranded in the heart of the Amazon jungle, where Joe will
embark on a quest to rescue a kidnapped princess and in the process, discover
the true sinister intentions of a suspiciously located Lederhosen company. In a
rich 2D environment, Joe will cross paths with a variety of unlikely jungle
inhabitants including, but not limited to, a tribe of Amazon women and 6-foot-
tall pygmies.

%prep
%setup -q -n FOTAQ_Floppy

%install
%__mkdir_p %buildroot%_gamesdatadir/%gamedir
%__install -m644 queen.1 %buildroot%_gamesdatadir/%gamedir

# Menu
%__mkdir -p %buildroot%_menudir
%__cat <<__EOF > %buildroot%_menudir/%name
?package(%name): \
needs="X11" \
section="Games/Adventure" \
command="scummvm -ghq3x -n -f -p %_gamesdatadir/%gamedir queen" \
title="Flight of the Amazon Queen" \
icon="scummvm.xpm"
__EOF

%post
%update_menus

%postun
%clean_menus

%files
%_gamesdatadir/%gamedir
%_menudir/%name
%doc readme.txt

%changelog
* Sat Mar 27 2004 Sir Raorn <raorn@altlinux.ru> M.10-alt1
- Built for Sisyphus


